--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Sometimes we don't want the world to use a setter method for a particular attribute. <tt>read_only</tt> makes it private so we can still use it internally.
full_name: Gem::read_only
is_singleton: true
name: read_only
params: (*names)
visibility: public
